from typing import TYPE_CHECKING

from sqlalchemy import Column, ForeignKey, Integer, String
from sqlalchemy.orm import relationship

from app.db.base_class import Base

class Character(Base):
  id = Column(Integer, primary_key=True, index=True)
  name = Column(String(20), index=True)
  stored_file_name = Column(String(30), unique=True, nullable=False)