#! /usr/bin/env sh

# Exit in case of error
set -e

DOMAIN=cloud.choozmo.com \
TRAEFIK_TAG=cloud.choozmo.com \
STACK_NAME=ai-anchor-com \
TAG=cloud \
docker-compose \
-f cloud-docker-compose.yml \
-f cloud-docker-compose.override.yml \
config > cloud-docker-stack.yml

docker-auto-labels cloud-docker-stack.yml

docker stack deploy -c cloud-docker-stack.yml --with-registry-auth "ai-anchor-com"
